import React from 'react';
import { IconProps } from './Icon';
export interface Badge {
    status: Status;
    title: string;
    position: Position;
}
export declare type Position = 'topRight' | 'topLeft' | 'bottomRight' | 'bottomLeft' | 'topStart' | 'topEnd' | 'bottomStart' | 'bottomEnd';
export declare type Placement = 'start' | 'end' | 'right' | 'left' | 'top' | 'bottom';
export declare type Trigger = 'click' | 'hover' | 'focus' | 'hint';
export declare type Status = 'Info' | 'Success' | 'Danger' | 'Primary' | 'Warning' | 'Basic' | 'Control';
export declare type Size = 'Tiny' | 'Small' | 'Medium' | 'Large' | 'Giant';
export declare type Shape = 'Rectangle' | 'SemiRound' | 'Round';
export declare type Appearance = 'filled' | 'outline' | 'ghost' | 'hero';
export declare type IconField = string | IconProps;
export interface MenuItemType {
    title: string;
    link?: any;
    expanded?: boolean;
    selected?: boolean;
    group?: boolean;
    hidden?: boolean;
    icon?: IconField;
    target?: string;
    url?: string;
    children?: MenuItemType[];
}
export interface ButtonTypes {
    fullWidth?: boolean;
    pulse?: boolean;
    appearance?: Appearance;
    size?: Size;
    shape?: Shape;
    status?: Status;
}
export interface LinkProps extends React.AnchorHTMLAttributes<HTMLAnchorElement> {
    to: any;
}
export declare type Record<K extends keyof any, T> = {
    [P in K]?: T;
};
